Page MenuHomePhabricator

Make reportupdater support script execution [8 pts] {crow}
Closed, ResolvedPublic

Description

Make reportupdater support execution of custom scripts, in addition to sql queries, to generate/update tsv reports.

The limn-analytics-data project, which calculates kanban metrics from the Phabricator board, needs this to generate live dashboards for the analytics team. Also it may interest other teams.

This is a feature that generate.py had, but never got implemented in reportupdater.

Event Timeline

mforns created this task.Sep 10 2015, 3:07 PM
mforns claimed this task.
mforns raised the priority of this task from to Needs Triage.
mforns updated the task description. (Show Details)
mforns added a project: Analytics-Kanban.
mforns added a subscriber: mforns.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 3:07 PM
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.Sep 10 2015, 3:07 PM

Change 237398 had a related patch set uploaded (by Mforns):
Make reportupdater support execution of scripts

https://gerrit.wikimedia.org/r/237398

mforns renamed this task from Make reportupdater support script execution to Make reportupdater support script execution [8 pts].Sep 11 2015, 3:39 PM
mforns set Security to None.

Change 237398 merged by Milimetric:
Make reportupdater support execution of scripts

https://gerrit.wikimedia.org/r/237398

Milimetric renamed this task from Make reportupdater support script execution [8 pts] to Make reportupdater support script execution [8 pts] {crow}.Sep 24 2015, 3:43 PM
Milimetric moved this task from In Code Review to Done on the Analytics-Kanban board.
kevinator closed this task as Resolved.Sep 25 2015, 3:38 PM
kevinator added a subscriber: kevinator.